=== modified file 'bzrlib/store.py'
--- bzrlib/store.py	2005-09-04 02:59:56 +0000
+++ bzrlib/store.py	2005-09-06 23:19:08 +0000
@@ -68,10 +68,12 @@
     def __init__(self, basedir):
         self._basedir = basedir
 
-    def _path(self, id):
-        if '\\' in id or '/' in id:
-            raise ValueError("invalid store id %r" % id)
-        return os.path.join(self._basedir, id)
+    def _path(self, entry_id):
+        if not isinstance(entry_id, basestring):
+            raise TypeError(type(entry_id))
+        if '\\' in entry_id or '/' in entry_id:
+            raise ValueError("invalid store id %r" % entry_id)
+        return os.path.join(self._basedir, entry_id)
 
     def __repr__(self):
         return "%s(%r)" % (self.__class__.__name__, self._basedir)

